<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
//  json   
    if($_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest') { die(); }

    session_start();

	define("VALID_CMS", 1);
    define('PATH', $_SERVER['DOCUMENT_ROOT']);

	include(PATH.'/core/cms.php');

    $inCore = cmsCore::getInstance();

    define('HOST', 'http://' . $inCore->getHost());
	$cfg        = $inCore->loadComponentConfig('calendar');
	//    
	if(!$cfg['component_enabled']) { cmsCore::error404(); }
	if (!isset($cfg['extract_picture_mod'])) { $cfg['extract_picture_mod'] = 1; }

    $inCore->loadModel('calendar');
    $model      = new cms_model_calendar();		
	$month         = $inCore->request('month', 'str', date('Ym'));
    $from_date=date('Y-m',strtotime($month.'01')).'-01'; // 
	$to_date=date('Y-m', strtotime($from_date)+(3600*24*32)).'-01'; //  	
    $to_date=date('Y-m-d', strtotime($to_date)-(3600*24)); //  
	$items      = array();
    $items_list = $model->getRecords($from_date, $to_date, false);
	$total=sizeof($items_list);
    $is_items   = (bool)$total;

    //FETCH ITEMS
    if ($is_items){        
        foreach($items_list as $item) {
            //Check item image
			$item['file']='';
			if($cfg['extract_picture_mod']) {
			   $is_res=preg_match('/^.*?<img.*?src=["\']([^"]+)["\']/mi',$item['content'],$res);		 
			   if ($is_res) {
				  $file = $res[1];
				  $full_file=PATH.$file;
				  if (file_exists($full_file)){
					$path_parts = pathinfo($full_file);
                    $ext_len = strlen($path_parts['extension']);
					$file_small	= substr($full_file,0,strlen($full_file)-$ext_len-1).'_s.'.$path_parts['extension'];
					if (!file_exists($file_small)) {
					    $inCore->includeGraphics();
					    @img_resize($full_file, $file_small, 64, 64);
					}
                    $item['file'] = substr($file_small,strlen(PATH));					
                  } 
			   }			
			}            
            $items[] = $item;
        }
    }
	$output=array();
	foreach($items as $key => $item) {
		$cur_day=date('d', strtotime($item['event_datetime']));
		$cur_time=date('H:i', strtotime($item['event_datetime']));
        if (!$output[$cur_day]) $output[$cur_day]=array();
		if (!$output[$cur_day][$cur_time]) $output[$cur_day][$cur_time]=array();
		$output[$cur_day][$cur_time][$item['id']]=$key;	    
    }
	
	$output_str='{';
	$first_day=1;	 
	foreach($output as $day_key => $day_value) {
		if (!$first_day) $output_str.=', ';		
		$output_str.='"'.$day_key.'" : {';
		$day_events=$day_value;
		$first_time=1;
        foreach($day_events as $time_key => $time_value) {
		   if (!$first_time) $output_str.=', ';	
		   $output_str.='"'.$time_key.'" : {';
		   $time_events=$time_value;
		   $first_event=1; 
		   foreach($time_events as $event_id => $event_index) {
		      if (!$first_event) $output_str.=', ';	
			  $event_details=$items[$event_index];
		      $output_str.='"'.$event_id.'" : {"date" : "'.$event_details['event_date_str'].'", "time" : "'.$event_details['event_time_str'].'", "duration" : "'.$event_details['duration_str'].'", "pass_state" : '.$event_details['pass_state'].', "image" : "'.$event_details['file'].'", "title" : "'.$event_details['title'].'", "city" : "'.$event_details['city'].'", "cat_id" : "'.$event_details['cat_id'].'", "place" : "'.$event_details['place'].'"}';	      			
		      $first_event=0;	
		   }
		   $output_str.='}'; //end of events of some time
		   $first_time=0;	
		}
		$output_str.='}'; //end of times of some day
		$first_day=0;
    }
	$output_str.='}'; //end of days of month
	//$log_handle=fopen($_SERVER['DOCUMENT_ROOT'].'/components/calendar/ajax/log.txt',"wb");
	//fwrite($log_handle, "output_str=".$output_str."\r\n");
	//fclose($log_handle);
	echo $output_str;
?>
