<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

// ========================================================================== //

    function info_component_calendar(){

        // 
        $_component['title']        = ' ';
        $_component['description']  = ' ';
        $_component['link']         = 'calendar';
        $_component['author']       = 'InstantCMS Team';
        $_component['internal']     = '0';
        $_component['version']      = '1.0';

        // -
        $_component['config']       = array();

        // 
        $_component['modules']      = array(
                                             'mod_calendar' => ' '
                                           );

        return $_component;

    }

// ========================================================================== //

    function install_component_calendar(){

        $inCore     = cmsCore::getInstance();       // 
        $inDB       = cmsDatabase::getInstance();   //  
		
		$inDB->query("DROP TABLE IF EXISTS cms_cal_events;");
		$inDB->query("CREATE TABLE cms_cal_events (
           id int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY, 
		   event_datetime datetime NOT NULL,
		   duration datetime NOT NULL,
		   title varchar(250) NOT NULL,   
           user_id int(11) NOT NULL,
		   city varchar(100) NOT NULL,
		   cat_id int(11) NOT NULL,
		   place varchar(250) NOT NULL,
           content text NOT NULL,  
           KEY (event_datetime),
		   KEY (city),
           KEY (title (15)),  
           FULLTEXT KEY (content)
           ) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;");
		   
		 $inDB->query("DROP TABLE IF EXISTS cms_cal_events_remind;");  
		 $inDB->query("CREATE TABLE cms_cal_events_remind (
           event_id int(11) NOT NULL PRIMARY KEY,
		   user_id int(11) NOT NULL, 
		   remind_datetime datetime NOT NULL,
		   KEY (user_id),
           KEY (remind_datetime)
           ) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;");	
		
		$inDB->query("DROP TABLE IF EXISTS cms_cal_cats;");  
		$inDB->query("CREATE TABLE cms_cal_cats (
           cat_id int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
		   parent_id int(11) NOT NULL,
		   is_group tinyint(1) NOT NULL, 
		   title varchar(250) NOT NULL,
		   KEY (cat_id),
           KEY (parent_id)
           ) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;");	   	  

        if (!$inCore->isModuleInstalled('mod_calendar')){
            $sql = "INSERT INTO `cms_modules` (`position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `access_list`, `cache`, `cachetime`, `cacheint`, `template`, `is_strict_bind`, `version`) 
                    VALUES ('sidebar', ' ', ' ', 1, 'mod_calendar', 27, 1, 1, 0, '', 1, '', '', 0, 1, 'HOUR', 'module.tpl', 0, '1.0')";
            $inDB->query($sql);
        }
        cmsActions::registerAction('calendar', array(		
					'name' => 'add_calendar',
					'title' => '   ',
					'message' => '  %s|   %s'
		));
		$sql = "INSERT INTO cms_comment_targets (target, component, title) 
                    VALUES ('calendar', 'calendar', ' ')";
        $inDB->query($sql);
		$oldumask = umask(0);
		//	
		if (!is_dir($_SERVER['DOCUMENT_ROOT'].'/admin/components/calendar')) {
		   mkdir( $_SERVER['DOCUMENT_ROOT'].'/admin/components/calendar', 0770 ); 
		}
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/index.html', $_SERVER['DOCUMENT_ROOT'].'/admin/components/calendar/index.html');
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/backend.php', $_SERVER['DOCUMENT_ROOT'].'/admin/components/calendar/backend.php');
		if (!is_dir($_SERVER['DOCUMENT_ROOT'].'/admin/modules/mod_calendar')) {
		   mkdir( $_SERVER['DOCUMENT_ROOT'].'/admin/modules/mod_calendar', 0770 ); 
		}
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/index.html', $_SERVER['DOCUMENT_ROOT'].'/admin/modules/mod_calendar/index.html');
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/backend_mod.php', $_SERVER['DOCUMENT_ROOT'].'/admin/modules/mod_calendar/backend.php');
		//   
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/calendar.png', $_SERVER['DOCUMENT_ROOT'].'/admin/images/components/calendar.png');
		//	
		if (!is_dir($_SERVER['DOCUMENT_ROOT'].'/modules/mod_calendar')) {
		   mkdir( $_SERVER['DOCUMENT_ROOT'].'/modules/mod_calendar', 0775 ); 
		}
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/index.html', $_SERVER['DOCUMENT_ROOT'].'/modules/mod_calendar/index.html');
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/module.php', $_SERVER['DOCUMENT_ROOT'].'/modules/mod_calendar/module.php');
		// 
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/com_calendar_edit.tpl', $_SERVER['DOCUMENT_ROOT'].'/templates/_default_/components/com_calendar_edit.tpl');
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/com_calendar_item.tpl', $_SERVER['DOCUMENT_ROOT'].'/templates/_default_/components/com_calendar_item.tpl');
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/com_calendar_items.tpl', $_SERVER['DOCUMENT_ROOT'].'/templates/_default_/components/com_calendar_items.tpl');
		// 
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/mod_calendar.tpl', $_SERVER['DOCUMENT_ROOT'].'/templates/_default_/modules/mod_calendar.tpl');
		//    upload- 	
		if (!is_dir($_SERVER['DOCUMENT_ROOT'].'/images/calendar')) {
		   mkdir( $_SERVER['DOCUMENT_ROOT'].'/images/calendar', 0777 ); 
		   umask( $oldumask );
		}
		//new_cal_event.txt -  
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/new_cal_event.txt', $_SERVER['DOCUMENT_ROOT'].'/includes/letters/new_cal_event.txt');
		//  
		@copy( $_SERVER['DOCUMENT_ROOT'].'/components/calendar/install/calendar.php', $_SERVER['DOCUMENT_ROOT'].'/languages/ru/components/calendar.php'); 
		
		umask( $oldumask );
		
        return true;

    }

// ========================================================================== //

    function upgrade_component_calendar(){

        return true;
        
    }

// ========================================================================== //

?>