<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

function mod_calendar($module_id){

        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
		$inUser = cmsUser::getInstance();
		
    	global $_LANG;
		$cfg = $inCore->loadModuleConfig($module_id);
		if (!isset($cfg['city'])) { $cfg['city'] = ''; }
		if (!isset($cfg['cat_id'])) { $cfg['cat_id'] = '0'; }
		if (!isset($cfg['users_can_add'])) { $cfg['users_can_add'] = 1; }		
	    if (!isset($cfg['extract_picture_mod'])) { $cfg['extract_picture_mod'] = 1; }
		if (!isset($cfg['datepicker_view'])) { $cfg['datepicker_view'] = 'block'; }
		if (!isset($cfg['datepicker_center'])) { $cfg['datepicker_center'] = 0; }
		if (!isset($cfg['color_cal_header'])) { $cfg['color_cal_header'] = '#CCCCEE'; }
		if (!isset($cfg['color_def_day'])) { $cfg['color_def_day'] = '#BDCCE4'; }
		if (!isset($cfg['color_events_day'])) { $cfg['color_events_day'] = '#B6E5C2'; }
		$inCore->loadLanguage('components/calendar');
		$inCore->loadModel('calendar');
        $model = new cms_model_calendar();
		// 
		$cfg_com = $inCore->loadComponentConfig('calendar');
		if (!isset($cfg_com['reminder'])) { $cfg_com['reminder'] = 1; }
		if ($cfg_com['reminder']) $model->reminder();
		
		$going_events = $model->getGoingEvents();
		foreach($going_events as $key => $item) {
			if ($cfg['city'] && $item['city']!=$cfg['city']) continue;
			if ($cfg['cat_id']!='0' && !$model->isInCategory($cfg['cat_id'], $item['cat_id'])) continue;
		    $item['file']='';
			if($cfg['extract_picture_mod']) {
			   $is_res=preg_match('/^.*?<img.*?src=["\']([^"]+)["\']/mi',$item['content'],$res);		 
			   if ($is_res) {
				  $file = $res[1];
				  $full_file=PATH.$file;
				  if (file_exists($full_file)){
					$path_parts = pathinfo($full_file);
                    $ext_len = strlen($path_parts['extension']);
					$file_small	= substr($full_file,0,strlen($full_file)-$ext_len-1).'_s.'.$path_parts['extension'];
					if (!file_exists($file_small)) {
					    $inCore->includeGraphics();
					    @img_resize($full_file, $file_small, 64, 64);
					}
                    $item['file'] = substr($file_small,strlen(PATH));					
                  } 
			   }			
			}		
		    $going_events[$key] = $item;
        }	
		$coming_event = $model->getComingEvent();
		if ($coming_event) {
			$skip=0;
		    if ($cfg['city'] && $coming_event['city']!=$cfg['city']) $skip=1;
		    if ($cfg['cat_id']!='0' && !$model->isInCategory($cfg['cat_id'], $coming_event['cat_id'])) $skip=1;
			if ($skip) $coming_event=false;		
		}
		$coming_event['file']='';
			if($cfg['extract_picture_mod']) {
			   $is_res=preg_match('/^.*?<img.*?src=["\']([^"]+)["\']/mi',$coming_event['content'],$res);		 
			   if ($is_res) {
				  $file = $res[1];
				  $full_file=PATH.$file;
				  if (file_exists($full_file)){
					$path_parts = pathinfo($full_file);
                    $ext_len = strlen($path_parts['extension']);
					$file_small	= substr($full_file,0,strlen($full_file)-$ext_len-1).'_s.'.$path_parts['extension'];
					if (!file_exists($file_small)) {
					    $inCore->includeGraphics();
					    @img_resize($full_file, $file_small, 64, 64);
					}
                    $coming_event['file'] = substr($file_small,strlen(PATH));					
                  } 
			   }			
			}
		$smarty = $inCore->initSmarty('modules', 'mod_calendar.tpl');		
		$smarty->assign('going_events', $going_events);
		$smarty->assign('coming_event', $coming_event);
		$smarty->assign('cfg', $cfg);
		$smarty->assign('cat_list', $cfg['cat_id']=='0' ? '0' : $model->subcategoryList($cfg['cat_id']));
		$smarty->assign('is_user', $inUser->id);
		$smarty->assign('is_admin', $inCore->userIsAdmin($inUser->id));	
		$smarty->display('mod_calendar.tpl');
				
		return true;
	
}
?>