var activeGroup=0,activeGroupBackColor='#FF9999',nonactiveGroupBackColor, currGroupId, cur_cat_id='', cur_cat_title='', cat_tree_arr=[], is_cat_tree_visible=0;

//  
// : content_string='', level=0
function readCatTreeArray(content_string,my_array,level){
    var elem, is_subgroup, subgroup_status;
    for  (var i in my_array) {		
		elem=my_array[i];
		if (elem['is_group']) {
		    is_subgroup=1;
			subgroup_status='c';
		} else {
			is_subgroup=0;
			subgroup_status='e';
		}
		content_string+='<a id="'+i+'" parent_id="'+elem['parent_id']+'" is_group="'+elem['is_group']+'" class="cat_level_'+(level>2 ? 2 : level)+' cat_group_'+subgroup_status+'" style="margin-left: '+(level*15)+'px">'+elem['title']+'</a>';
		if (is_subgroup) {
		   content_string+='<div class="cat_content">';		   
		   content_string=readCatTreeArray(content_string,elem['children'],level+1);		   
		   content_string+='</div>';
		}
		
    }
    return content_string;
}
 
function openCloseGroup(evt) {
	var evtTarget=evt.target; 
	while (evtTarget.nodeType!= 1) evtTarget=evtTarget.parentNode;	
	while (evtTarget.nodeName.indexOf('A')!= 0) evtTarget=evtTarget.parentNode;	 
	if (evtTarget.nodeName.indexOf('A')!= 0) return;
	var res=/cat_group_([a-z])/.exec(evtTarget.className),groupState='c';
	if (res[1]) groupState=res[1];
	if (groupState!='e') {
       if (!evtTarget.relatedItem) {
           var elementToBeOpened=evtTarget.nextSibling; //div   
           while (elementToBeOpened.nodeType!= 1) elementToBeOpened=elementToBeOpened.nextSibling;
           evtTarget.relatedItem=elementToBeOpened; 
       }
       var newState = ($(evtTarget.relatedItem).css('display')=='block') ? 'none' : 'block'; 
	   $(evtTarget.relatedItem).css('display',newState);
	}	
	if (activeGroup) {	
	   //activeGroup.css('background-color', nonactiveGroupBackColor);
	   activeGroup.css('text-decoration', 'none');
    } //else nonactiveGroupBackColor=$(evtTarget).css('background-color');
	activeGroup=$(evtTarget);
	activeGroup.css('text-decoration', 'underline');
	//activeGroup.css('background-color', activeGroupBackColor);
	currGroupId=activeGroup.attr('id');
	//---------------------
	cur_cat_id=currGroupId;
	$("#cat_id").val(cur_cat_id);
	$("#cat_ed").val(cur_cat_title=categoryTitle(cur_cat_id));
	//--------------------
	if (groupState!='e') activeGroup.removeClass('cat_group_'+groupState).addClass('cat_group_'+((newState=='none') ? 'c' : 'o'));
	return false;	
}

function refreshCatTree(){
			    $.ajax({
					   //  
                       url: '/components/calendar/ajax/get_categories.php',
                       dataType: 'json',
                       success: function(data, textStatus, jqXHR) {
						  cat_tree_arr=data;
						  if (jqXHR.responseText=='{}') {
							 $("#cat_tree").html('<a class="cat_level_0" style="color: #375e93"> !</a>');
							 if (+(cur_cat_id.substr(4))) {
								cur_cat_id='cat_';
								$("#cat_id").val('cat_');							 
							 }
							 return; 
						  }
						  $("#cat_tree").html(readCatTreeArray('',data,0));
						  if (+(cur_cat_id.substr(4))) {
							 activeGroup=$('#'+cur_cat_id);
							 if (!activeGroup.length) {
								 cur_cat_id='cat_';
								 $("#cat_id").val('cat_');								 
							 }
							 //nonactiveGroupBackColor=activeGroup.css('background-color'); 
							 //activeGroup.css('background-color', activeGroupBackColor);  
							 activeGroup.css('text-decoration', 'underline');
							 if (activeGroup.attr('parent_id')!='0') showCategory('cat_'+activeGroup.attr('parent_id'));  
						  };
			           },
					   error: function(jqXHR, textStatus, errorThrown) { 
				          $("#cat_tree").html('');
			           }					 				   
                }); 
}

function categoryTitle(cat_id) {
	if (! +(cat_id.substr(4))) return '';
    var title=$('#'+cat_id).text(), parent_id=''+$('#'+cat_id).attr('parent_id');    
	return parent_id!='0' ? categoryTitle('cat_'+parent_id)+'.'+title : title;          
}
function showCategory(cat_id) {
	if (! +(cat_id.substr(4))) return '';
	var $cur=$('#'+cat_id);
	if ($cur.attr('is_group')=='1' && $cur.next().css('display')=='none') {
		$cur.removeClass('cat_group_c').addClass('cat_group_o');
		$cur.next().show();
	}
    var parent_id=''+$cur.attr('parent_id'); 
	if (parent_id!='0') showCategory('cat_'+parent_id);         
}