{* ================================================================================ *}
{* ====================    ) ======================= *}
{* ================================================================================ *}
{$monthbar}
<div style='display:none'><div id="color_cal_header">{$cfg.color_cal_header}</div><div id="color_def_day">{$cfg.color_def_day}</div></div>
<div class="cal_item_details_full">
	<div class="cal_item_date">{$item.event_date}{$item.event_time}&nbsp;({$item.duration_str})</div>
	{if $item.city}
		<div class="cal_item_city">
			<a href="/calendar/city/{$item.enc_city}">{$item.city}</a>{if $item.place}, {$item.place}{/if}
		</div>
	{/if}
	{if $item.user}
		<div><span class="cal_item_user">
			<a href="{profile_url login=$item.user_login}">{$item.user}</a>
		</span>
        {if $moderator}
		<span class="cal_item_edit"><a href="/calendar/edit{$item.id}.html">{$LANG.EDIT}</a></span>
		<span class="cal_item_delete"><a href="/calendar/delete{$item.id}.html">{$LANG.DELETE}</a></span>
	    {/if}
        </div>	
	{/if}			
</div>

<table width="100%" height="" cellspacing="" cellpadding="0" class="cal_item_full">
	<tr>
		<td valign="top">
			<div class="cal_text_full">{$item.content}</div>
		</td>
	</tr>
</table>
		
<style>
{literal}
.ui-datepicker {
	width: 13em;
}
.ui-datepicker table {
	font-size: 0.5em;
}
.ui-datepicker-today .ui-state-highlight {
	border-color: rgb(228,162,252);
}
{/literal}
</style>    

<div class="cal_links">
	{if $user_id}
        {if $cfg.reminder && $item.pass_state>0}
    <div class="reminder"><div class="remind_title">{$LANG.REMIND_ME}</div>
    {if $is_remind_active}<div class="remind_active">{$LANG.REMIND_ACTIVE}</div>{/if}  
    <form id="remindform" name="remindform" action="/calendar/read{$item.id}.html" method="post" enctype="multipart/form-data">
	   <table cellpadding="2"> 
        <tr class="proptable">
			<td width="50%" align="right">
				<span><b>{$LANG.REMIND_DATE}:</b></span>
			</td>
			<td height="35" valign="top">
				<input name="remind_date" type="text" id="remind_date" style="width:98px" value="{$remind_date|escape:'html'}" readonly /> 
			</td>
		</tr>        
        <tr class="proptable">
			<td width="50%" align="right">
				<span><b>{$LANG.REMIND_TIME}:</b></span>
			</td>
			<td height="35" valign="top">
				<input name="remind_time_hours" type="text" id="remind_time_hours" style="width:40px" value="{$remind_time|substr:0:2}" maxlength="2"/>&nbsp;:&nbsp;<input name="remind_time_minutes" type="text" id="remind_time_minutes" style="width:40px" value="{$remind_time|substr:2:2}" maxlength="2"/><input name="remind_time_seconds" type="hidden" id="remind_time_seconds" style="width:40px" value="{$remind_time|substr:4:2}" maxlength="2"/>
			</td>
		</tr>
        <tr><td colspan="2" align="center"><input name="remind_state" id="remind_state" type="hidden" value="0" /></td></tr></table><div align="center">{if !$is_remind_active}<input name="savebtn" type="button" id="savebtn" value="{$LANG.REMIND_OK}" onclick="submitRemindOK()" />{else}<input name="back" type="button" id="back" value="{$LANG.REMIND_CANCEL}" onclick="submitRemindCancel()"/>{/if}</div><input id="event_datetime" type="hidden" value="{$item.event_datetime}" />        
		</form></div>
                 
         <script type="text/javascript">
        {literal}
		 var color_cal_header=$('#color_cal_header').html(), color_def_day=$('#color_def_day').html(), do_highlight=function() {
		          $('.no_events_day a').css('background-color', color_def_day);
		          $('.ui-datepicker-title, .ui-datepicker-prev, .ui-datepicker-next').css('background-color', color_cal_header);
		          $('.ui-datepicker-prev span').removeClass().html('&lt;');
		          $('.ui-datepicker-next span').removeClass().html('&gt;');		  
	        };
            $(document).ready(function() {
               $("#remind_date").datepicker({beforeShowDay: function(date) {
                  return [true, 'no_events_day', ''];
               }}).click(do_highlight);				  
			   $("#ui-datepicker-div").click(do_highlight); 
			   $("#remind_time_hours").blur(function () {
				   if (!$("#remind_time_hours").val()) $("#remind_time_hours").val('00'); 
				   else {			   
				       var inputedHours=Number($("#remind_time_hours").val());
				       if (inputedHours<10) $("#remind_time_hours").val('0'+inputedHours);
					   else if (inputedHours>23) $("#remind_time_hours").val('23');
				   };
				   $("#remind_time_seconds").val('01');				   
			   });
			   $("#remind_time_minutes").blur(function () {
				   if (!$("#remind_time_minutes").val()) $("#remind_time_minutes").val('00'); 
				   else {			   
				       var inputedMinutes=Number($("#remind_time_minutes").val());
				       if (inputedMinutes<10) $("#remind_time_minutes").val('0'+inputedMinutes);
					   else if (inputedMinutes>59) $("#remind_time_minutes").val('59');
				   };
				   $("#remind_time_seconds").val('01');			   
			   });   
	        });

            function submitRemindOK(){
				var remind_date=$('#remind_date').val(), remind_time_hours=$('#remind_time_hours').val(), remind_time_minutes=$('#remind_time_minutes').val(), event_datetime_str=$('#event_datetime').val(), now= new Date();
				if (!remind_date){alert('   !'); return false; }
				var remind_datetime=new Date(remind_date.substr(6,4),Number(remind_date.substr(3,2))-1,remind_date.substr(0,2),remind_time_hours ? remind_time_hours : 0,remind_time_minutes ? remind_time_minutes : 0,0);
				if (remind_datetime<now) {alert('   !'); return false; }
				var event_datetime=new Date(event_datetime_str.substr(0,4),Number(event_datetime_str.substr(5,2))-1,event_datetime_str.substr(8,2),event_datetime_str.substr(11,2),event_datetime_str.substr(14,2),0);
				if (remind_datetime>event_datetime) {alert('   !'); return false; }				
				$('#remind_state').val('1');				
                var remindform=$('#remindform');
				remindform.submit();
            }
			function submitRemindCancel(){
				$('#remind_state').val('-1');				
                $('#remindform').submit();
            }
        {/literal}
        </script> 
        {/if}  
		
        {if $item.user_id != $user_id}
			<span class="cal_message"><a href="/users/{$item.user_id}/sendmessage.html">{$LANG.WRITE_MESS_TO_AUTHOR}</a></span>
		{/if}
	{/if}
</div>

{if $cfg.comments}
    {comments target='calendar' target_id=$item.id}
{/if}
